Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class AbstractLocalTransaction

    java.lang.Object
      com.bea.adapter.spi.AbstractLocalTransaction

All Implemented Interfaces:
  javax.resource.cci.LocalTransaction, javax.resource.spi.LocalTransaction

public abstract class AbstractLocalTransaction
extends Object
implements javax.resource.cci.LocalTransaction, javax.resource.spi.LocalTransaction

Reduces the effort in implementing a LocalTransaction, provides logging, event notification, etc.

Constructor Summary
`AbstractLocalTransaction(AbstractManagedConnection mc)`

Method Summary
`void` | `begin()`
`void` | `commit()`
`protected abstract void` | `doBeginTx(AbstractManagedConnection amc)`
`protected abstract void` | `doCommitTx(AbstractManagedConnection amc)`
`protected abstract void` | `doRollbackTx(AbstractManagedConnection amc)`
`void` | `rollback()`
`void` | `setNotifyEnabled(boolean notify)` Enables (or disables) notifications from this object when local TX methods are called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLocalTransaction

    public AbstractLocalTransaction(AbstractManagedConnection mc)

Method Detail

### setNotifyEnabled

    public void setNotifyEnabled(boolean notify)

  Enables (or disables) notifications from this object when local TX methods are called. The JCA 1.0 spec requires that local transactions being managed from an application component do fire local transaction events. However, it also requires that local transactions being managed from the app server or container do not fire events.

  Parameters:
    `notify` - Indicate if this object should notify on local TX methods.

### begin

    public void begin()
               throws javax.resource.ResourceException

  Specified by:
    `begin` in interface `javax.resource.cci.LocalTransaction`
  Throws:
    `javax.resource.ResourceException`

### doBeginTx

    protected abstract void doBeginTx(AbstractManagedConnection amc)
                               throws Exception

  Throws:
    `Exception`

### commit

    public void commit()
                throws javax.resource.ResourceException

  Specified by:
    `commit` in interface `javax.resource.cci.LocalTransaction`
  Throws:
    `javax.resource.ResourceException`

### doCommitTx

    protected abstract void doCommitTx(AbstractManagedConnection amc)
                                throws Exception

  Throws:
    `Exception`

### rollback

    public void rollback()
                  throws javax.resource.ResourceException

  Specified by:
    `rollback` in interface `javax.resource.cci.LocalTransaction`
  Throws:
    `javax.resource.ResourceException`

### doRollbackTx

    protected abstract void doRollbackTx(AbstractManagedConnection amc)
                                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD